#ifndef _Handle_PGeom_OffsetCurve_HeaderFile
#define _Handle_PGeom_OffsetCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Curve_HeaderFile
#include <Handle_PGeom_Curve.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Curve);
class PGeom_OffsetCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_OffsetCurve);

class Handle(PGeom_OffsetCurve) : public Handle(PGeom_Curve) {
  public:

    Handle(PGeom_OffsetCurve)():Handle(PGeom_Curve)() {} 
    Handle(PGeom_OffsetCurve)(const Handle(PGeom_OffsetCurve)& aHandle) : Handle(PGeom_Curve)(aHandle) 
     {
     }

    Handle(PGeom_OffsetCurve)(const PGeom_OffsetCurve* anItem) : Handle(PGeom_Curve)((PGeom_Curve *)anItem) 
     {
     }

    Handle(PGeom_OffsetCurve)& operator=(const Handle(PGeom_OffsetCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_OffsetCurve)& operator=(const PGeom_OffsetCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_OffsetCurve* operator->() const 
     {
      return (PGeom_OffsetCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_OffsetCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
